package com.zd.common.core.echarts;

import com.zd.common.core.echarts.enums.SerieType;

/**
 * echarts 配置 现在只做值封装，以后再考虑样式其他的
 *
 * @Author: zhoupan
 * @Date: 2021/09/14/8:59
 * @Description:
 */
public class EchartConfig {

    /**
     * 默认为折线图
     */
    private SerieType type = SerieType.line;

    /**
     * 默认为Y轴为值轴
     */
    private XYEnum xyValue = XYEnum.Y_VALUE;


    public enum XYEnum {


        //x轴做为值
        X_VALUE,

        //y轴做为值
        Y_VALUE;

        XYEnum() {
        }
    }

    public SerieType getType() {
        return type;
    }

    public void setType(SerieType type) {
        this.type = type;
    }

    public XYEnum getXyValue() {
        return xyValue;
    }

    public void setXyValue(XYEnum xyValue) {
        this.xyValue = xyValue;
    }
}
